Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.util
Class Jdk14Logger

    java.lang.Object
      org.apache.commons.transaction.util.Jdk14Logger

All Implemented Interfaces:
  LoggerFacade

public class Jdk14Logger
extends Object
implements LoggerFacade

Default logger implementation. Uses java.util.logging implementation provided by Java 1.4.

Version:
  $Revision$

Field Summary
`protected Logger` | `logger`

Constructor Summary
`Jdk14Logger(Logger logger)`

Method Summary
`LoggerFacade` | `createLogger(String name)`
`Logger` | `getLogger()`
`boolean` | `isFineEnabled()`
`boolean` | `isFinerEnabled()`
`boolean` | `isFinestEnabled()`
`void` | `logFine(String message)`
`void` | `logFiner(String message)`
`void` | `logFinest(String message)`
`void` | `logInfo(String message)`
`void` | `logSevere(String message)`
`void` | `logSevere(String message, Throwable t)`
`void` | `logWarning(String message)`
`void` | `logWarning(String message, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected Logger logger

Constructor Detail

### Jdk14Logger

    public Jdk14Logger(Logger logger)

Method Detail

### getLogger

    public Logger getLogger()

### createLogger

    public LoggerFacade createLogger(String name)

  Specified by:
    `createLogger` in interface `LoggerFacade`

### logInfo

    public void logInfo(String message)

  Specified by:
    `logInfo` in interface `LoggerFacade`

### logFine

    public void logFine(String message)

  Specified by:
    `logFine` in interface `LoggerFacade`

### isFineEnabled

    public boolean isFineEnabled()

  Specified by:
    `isFineEnabled` in interface `LoggerFacade`

### logFiner

    public void logFiner(String message)

  Specified by:
    `logFiner` in interface `LoggerFacade`

### isFinerEnabled

    public boolean isFinerEnabled()

  Specified by:
    `isFinerEnabled` in interface `LoggerFacade`

### logFinest

    public void logFinest(String message)

  Specified by:
    `logFinest` in interface `LoggerFacade`

### isFinestEnabled

    public boolean isFinestEnabled()

  Specified by:
    `isFinestEnabled` in interface `LoggerFacade`

### logWarning

    public void logWarning(String message)

  Specified by:
    `logWarning` in interface `LoggerFacade`

### logWarning

    public void logWarning(String message,
                           Throwable t)

  Specified by:
    `logWarning` in interface `LoggerFacade`

### logSevere

    public void logSevere(String message)

  Specified by:
    `logSevere` in interface `LoggerFacade`

### logSevere

    public void logSevere(String message,
                          Throwable t)

  Specified by:
    `logSevere` in interface `LoggerFacade`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.